%define name		gimagereader
%define version		0.9.1
%define release		%mkrel 1


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		PyGTK frontend to tesseract-ocr
URL:			http://sourceforge.net/projects/gimagereader/
Group:			Graphics
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		pygtk2.0-devel
BuildRequires: 		python-cairo-devel
BuildRequires: 		gnome-python-devel
BuildRequires: 		python-pillow-devel
Requires:		pygtk2.0
Requires:		python-cairo
Requires:		gnome-python
Requires:		gnome-python-gtkspell
Requires:		python-enchant
Requires:		python-pypoppler
Requires:		python-pillow
Requires:		tesseract
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
gImageReader is a simple PyGtk front-end to tesseract.

Main features:
	- Allows the user to select the part of the image they want to be recognized or directly recognize the entire image.
	- Supports PDF documents and multipage recognition.
	- Allows the user to acquire images from scanning devices.
	- Recognized text displayed directly next to the image.
	- Basic editing of output text, including search/replace and removing line breaks on selected text.
	- Spellcheck enabled for the selected language in the output textfield if corresponding dictionary installed.
	- User is prompted to install missing spellcheck languages (requires PackageKit or apt-file).
	- Easily switch between multiple open files.
	- Attempts to automatically detect all necessary programs, otherwise shows a configuration prompt to the user.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install -O1 --root=${RPM_BUILD_ROOT}
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/%{name}
%{python_sitelib}
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/locale/*/LC_MESSAGES/%name.mo

%changelog
* Sat Jan 11 2014 bb <bb> 0.9.1-1pclos2013
- update
- dep python-pillow

* Sat Aug 17 2013 billybot <billybot> 0.9-2pclos2013
- update python 2.7

* Thu Apr 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9-1_archie_2012
- Initial build
